question-mark

Stuck on an issue?

Lightrun Answers was designed to reduce the constant googling that comes with debugging 3rd party libraries. It collects links to all the places you might be looking at while hunting down a tough bug.

And, if you’re still stuck at the end, we’re happy to hop on a call to see how we can help out.

Error fetching terraform module in blast-radius

See original GitHub issue

Issue Description

I am trying to create a graph using blast-radius but it’s throwing below error, can anyone please help me. I think it’s unable to fetch terraform module. Thank you

` * Serving Flask app “blastradius.server.server” (lazy loading)

  • Environment: production WARNING: This is a development server. Do not use it in a production deployment. Use a production WSGI server instead.
  • Debug mode: off
  • Running on http://0.0.0.0:4004/ (Press CTRL+C to quit) 127.0.0.1 - - [02/Sep/2020 15:56:46] “GET / HTTP/1.1” 200 - 127.0.0.1 - - [02/Sep/2020 15:56:46] “GET /static/js/jquery.slim.min.js HTTP/1.1” 200 - 127.0.0.1 - - [02/Sep/2020 15:56:46] “GET /static/js/bootstrap.min.js HTTP/1.1” 200 - 127.0.0.1 - - [02/Sep/2020 15:56:46] “GET /static/js/d3.v4.js HTTP/1.1” 200 - 127.0.0.1 - - [02/Sep/2020 15:56:46] “GET /static/js/fontawesome-all.min.js HTTP/1.1” 200 - 127.0.0.1 - - [02/Sep/2020 15:56:46] “GET /static/js/blast-radius.js HTTP/1.1” 200 - 127.0.0.1 - - [02/Sep/2020 15:56:46] “GET /static/js/d3-tip.js HTTP/1.1” 200 - 127.0.0.1 - - [02/Sep/2020 15:56:46] “GET /static/js/categories.js HTTP/1.1” 200 - 127.0.0.1 - - [02/Sep/2020 15:56:46] “GET /static/js/selectize.js HTTP/1.1” 200 - 127.0.0.1 - - [02/Sep/2020 15:56:46] “GET /static/css/bootstrap.min.css HTTP/1.1” 200 - 127.0.0.1 - - [02/Sep/2020 15:56:46] “GET /static/css/selectize.css HTTP/1.1” 200 - 127.0.0.1 - - [02/Sep/2020 15:56:46] “GET /static/js/svg-pan-zoom.js HTTP/1.1” 200 - 127.0.0.1 - - [02/Sep/2020 15:56:46] “GET /static/css/style.css HTTP/1.1” 200 - 127.0.0.1 - - [02/Sep/2020 15:56:46] “GET /favicon.ico HTTP/1.1” 404 - [2020-09-02 15:56:53,479] ERROR in app: Exception on /graph.svg [GET] Traceback (most recent call last): File “/home/harsh896/.local/lib/python3.8/site-packages/blastradius/handlers/dot.py”, line 455, in _module return m.groupdict()[‘module’] AttributeError: ‘NoneType’ object has no attribute ‘groupdict’

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “/usr/lib/python3/dist-packages/flask/app.py”, line 2446, in wsgi_app response = self.full_dispatch_request() File “/usr/lib/python3/dist-packages/flask/app.py”, line 1951, in full_dispatch_request rv = self.handle_user_exception(e) File “/usr/lib/python3/dist-packages/flask/app.py”, line 1820, in handle_user_exception reraise(exc_type, exc_value, tb) File “/usr/lib/python3/dist-packages/flask/_compat.py”, line 39, in reraise raise value File “/usr/lib/python3/dist-packages/flask/app.py”, line 1949, in full_dispatch_request rv = self.dispatch_request() File “/usr/lib/python3/dist-packages/flask/app.py”, line 1935, in dispatch_request return self.view_functionsrule.endpoint File “/home/harsh896/.local/lib/python3.8/site-packages/blastradius/server/server.py”, line 36, in graph_svg dot = DotGraph(‘’, file_contents=run_tf_graph()) File “/home/harsh896/.local/lib/python3.8/site-packages/blastradius/handlers/dot.py”, line 56, in init self.nodes.append(DotNode(e.target)) File “/home/harsh896/.local/lib/python3.8/site-packages/blastradius/handlers/dot.py”, line 415, in init self.module = DotNode._module(self.label) # for module groupings. ‘root’ or ‘module.foo.module.bar’ File “/home/harsh896/.local/lib/python3.8/site-packages/blastradius/handlers/dot.py”, line 457, in _module raise Exception("None: ", label) Exception: ('None: ', ‘[root] module.services (close)’) 127.0.0.1 - - [02/Sep/2020 15:56:53] “GET /graph.svg HTTP/1.1” 500 - `

Issue Analytics

  • State:open
  • Created 2 years ago
  • Reactions:9
  • Comments:16

github_iconTop GitHub Comments

5reactions
dwilliams782commented, Sep 2, 2020

I have the same issue, guessing it’ll be a tf0.13 issue

1reaction
xiaopeng163commented, Sep 25, 2022

another finding, it will work without any issue if there are no modules imported. @Ianyliu

Read more comments on GitHub >

github_iconTop Results From Across the Web

Error: Cycle - but not seeing why - Terraform
Getting the following error, but I'm not seeing where the problem is: ... module.workstation_fe.data.aws_iam_policy_document.cognito_email…
Read more >
for_each to call terraform module multiple times - Terragrunt
There are a few advantages to a Terragrunt implementation of for_each to call modules repeatedly with different parameters: Provide a workaround sooner than ......
Read more >
vsphere_virtual_machine | Resources | hashicorp/vsphere
Terraform waits during various parts of a virtual machine deployment to ... it from a template, fetched using the vsphere_virtual_machine data source.
Read more >
Terraform - Open Policy Agent
Getting Started. Steps. 1. Create and save a Terraform plan. Create a Terraform file that includes an auto-scaling group and a server on...
Read more >
SweetOps #terraform for November, 2019
Discussions related to Terraform or Terraform Modules. ... I think I'm getting bit by a really strange error: ...
Read more >

github_iconTop Related Medium Post

No results found

github_iconTop Related StackOverflow Question

No results found

github_iconTroubleshoot Live Code

Lightrun enables developers to add logs, metrics and snapshots to live code - no restarts or redeploys required.
Start Free

github_iconTop Related Reddit Thread

No results found

github_iconTop Related Hackernoon Post

No results found

github_iconTop Related Tweet

No results found

github_iconTop Related Dev.to Post

No results found

github_iconTop Related Hashnode Post

No results found